commit:     e9a243610cb8184bfb8542d470cb38d917007039
Author:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 25 14:04:12 2016 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Mon Jan 25 14:07:05 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e9a24361

cmake-utils.eclass: ban WANT_CMAKE in EAPI 6 and later

It is basically unused across the tree and complicates the eclass. If it were
needed, it might be better to write custom ebuild phase functions instead.

 eclass/cmake-utils.eclass | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/eclass/cmake-utils.eclass b/eclass/cmake-utils.eclass
index aa73e44..32ce388 100644
--- a/eclass/cmake-utils.eclass
+++ b/eclass/cmake-utils.eclass
@@ -103,6 +103,8 @@ _CMAKE_UTILS_ECLASS=1
 # This is useful when only part of application is using cmake build system.
 # Valid values are: always [default], optional (where the value is the useflag
 # used for optionality)
+#
+# This is banned in EAPI 6 and later.
 : ${WANT_CMAKE:=always}
 
 # @ECLASS-VARIABLE: CMAKE_EXTRA_CACHE_FILE
@@ -125,6 +127,7 @@ case ${WANT_CMAKE} in
        always)
                ;;
        *)
+               has "${EAPI:-0}" 2 3 4 5 || die "WANT_CMAKE is banned in EAPI 6 
and later"
                IUSE+=" ${WANT_CMAKE}"
                CMAKEDEPEND+="${WANT_CMAKE}? ( "
                ;;

Reply via email to